Name:        task-codec
Version:     4
Release:     %mkrel 2
Summary:     Meta-package for easy installation of multimedia codecs
Group:       System/Libraries
License:     GPLv2+ GPLv3+
URL:         http://www.mageia.org
BuildArch:   noarch

%description
This meta package permit to install easily all the codecs at once.

%package -n task-codec-audio
Summary:     Meta-package for easy installation of audio codecs
Group:       Sound/Editors and Converters

#Misc Audio codecs
Suggests:    ffmpeg2theora
Suggests:    flac
Suggests:    twolame
Suggests:    mp3gain
Suggests:    speex
Suggests:    vorbis-tools
Suggests:    vorbisgain

#Gstreamer0.10 Audio codecs
Suggests:    gstreamer0.10-musepack

#Gstreamer1.0 Audio codecs
Suggests:    gstreamer1.0-a52dec
Suggests:    gstreamer1.0-cdio
Suggests:    gstreamer1.0-cdparanoia
Suggests:    gstreamer1.0-flac
Suggests:    gstreamer1.0-gme
Suggests:    gstreamer1.0-gsm
Suggests:    gstreamer1.0-pulse
Suggests:    gstreamer1.0-speex
Suggests:    gstreamer1.0-twolame
Suggests:    gstreamer1.0-voip
Suggests:    gstreamer1.0-wavpack

#Audio and Video codecs
Suggests:    ffmpeg
Suggests:    gstreamer0.10-ffmpeg
Suggests:    gstreamer0.10-mms
Suggests:    gstreamer0.10-plugins-ugly
Suggests:    gstreamer1.0-farstream
Suggests:    gstreamer1.0-libav
Suggests:    gstreamer1.0-mms
Suggests:    gstreamer1.0-plugins-bad
Suggests:    gstreamer1.0-plugins-base
Suggests:    gstreamer1.0-plugins-good
Suggests:    gstreamer1.0-plugins-ugly
Suggests:    gstreamer1.0-rtmp
Suggests:    gstreamer1.0-tools

%if "%{?distro_section}" == "tainted"

#Misc Audio Tainted codecs
Suggests:    faad2
Suggests:    lame

#Gstreamer0.10 Audio Tainted codecs
Suggests:    gstreamer0.10-lame

#Gstreamer1.0 Audio Tainted codecs
Suggests:    gstreamer1.0-amrnb
Suggests:    gstreamer1.0-dts

Suggests:    gstreamer1.0-lame
#Libs Audio Tainted codecs
Suggests:    libdca-tools
Suggests:    libquicktime-faad
Suggests:    libquicktime-lame

%endif

%description -n task-codec-audio
This meta package permit to install easily all the audio codecs at once.

%package -n task-codec-video
Summary:    Meta-package for easy installation of video codecs
Group:      Video/Editors and Converters

#Misc Video codecs
Suggests:    a52dec
Suggests:    mpeg2dec

#Gstreamer0.10 Video codecs
Suggests:    gstreamer0.10-dirac
Suggests:    gstreamer0.10-resindvd

#Gstreamer1.0 Video codecs
Suggests:    gstreamer1.0-dv
Suggests:    gstreamer1.0-mpeg

#Libs Video codecs
Suggests:    libquicktime-dv

#Audio and Video codecs
Suggests:    ffmpeg
Suggests:    gstreamer0.10-ffmpeg
Suggests:    gstreamer0.10-mms
Suggests:    gstreamer0.10-plugins-ugly
Suggests:    gstreamer1.0-farstream
Suggests:    gstreamer1.0-libav
Suggests:    gstreamer1.0-mms
Suggests:    gstreamer1.0-plugins-bad
Suggests:    gstreamer1.0-plugins-base
Suggests:    gstreamer1.0-plugins-good
Suggests:    gstreamer1.0-plugins-ugly
Suggests:    gstreamer1.0-rtmp
Suggests:    gstreamer1.0-tools

%if "%{?distro_section}" == "tainted"

#Misc Video Tainted codecs
Suggests:    x264
#Gstreamer0.10 Video Tainted codecs
Suggests:    gstreamer0.10-xvid
#Gstreamer1.0 Video Tainted codecs
Suggests:    gstreamer1.0-x264
#Libs Video Tainted codecs
Suggests:    %{_lib}xvid4
Suggests:    %{_lib}dvdcss2
Suggests:    %{_lib}quicktime0
Suggests:    libquicktime-x264

%endif

%description -n task-codec-video
This meta package permit to install easily all the video codecs at once.

%files -n task-codec-audio

%files -n task-codec-video



%changelog
* Mon Oct 21 2013 umeabot <umeabot> 4-2.mga4
+ Revision: 541005
- Mageia 4 Mass Rebuild

* Thu Oct 10 2013 diogenese <diogenese> 4-1.mga4.tainted
+ Revision: 494707
- Importing task-codec (initial spec by Adrien_D)

